/* _dict.cc 14/08/96 16.09.34 */
/* base64.cc 23/10/97 17.15.58 */
int base64_decode (char *dst, int sizedst, const char *bufcoded);
/* buttongif.cc 21/08/98 16.50.04 */
void button_text2gif (const char *str, FILE *fout);
/* buttons.cc 15/09/98 00.01.50 */
/* checkbox.cc 29/11/98 00.14.28 */
/* checklist.cc 30/09/96 10.50.30 */
int dialog_checklist (const char *title,
	 const char *prompt,
	 HELP_FILE&helpfile,
	 int ,
	 int item_no,
	 char **items,
	 char *status);
/* checklist1.cc 26/09/96 13.54.12 */
int dialog_checklist_p (const char *title,
	 const char *prompt,
	 HELP_FILE&helpfile,
	 int list_height,
	 int item_no,
	 char **items);
/* cmdsock.cc 05/07/98 03.49.32 */
void logevent (const char *fmt, ...);
void logdebug (int level, const char *fmt, ...);
int cmdsock_connect (const char *servname, int port, int nbretry);
int cmdsock_connect (const char *servname,
	 const char *portname,
	 int nbretry);
int cmdsock_wait (int nbfds, int fds[], int ready[], long timeout);
int cmdsock_wait (int fd, long timeout);
/* def.cc 30/03/96 00.21.00 */
/* diaetc.cc 12/11/98 23.34.46 */
EXPORT void dialog_end (void);
bool dialog_isinit (void);
void init_dialog (void);
void diaetc_forcemono (void);
void color_setup (void);
void attr_clear (WINDOW *win, int height, int width, chtype attr);
void print_button (WINDOW *win,
	 const char *label,
	 int y,
	 int x,
	 int selected);
void draw_box (WINDOW *win,
	 int y,
	 int x,
	 int height,
	 int width,
	 chtype box,
	 chtype border_light,
	 chtype border_shadow);
void draw_shadow (WINDOW *, int , int , int , int);
/* diagui.cc 20/12/98 20.52.58 */
void diagui_setmode (DIAGUI_MODE mode);
void diagui_sethandle (int handlein, int handleout, const char *lines);
int diagui_init (void);
EXPORT const char *diagui_quote (const char *s, char tmp[1000]);
void diagui_send (const char *ctl, ...);
EXPORT void diagui_sendcmd (int cmd, const char *ctl, ...);
void diagui_send_Label (const char *str);
int diagui_sendxpm (const char *name, char *name_sent);
EXPORT int diagui_sync (const char *dianame, char action[100]);
void diagui_sethtmlhelp (void);
void diagui_sendhtmlhelp (const char *path);
EXPORT void diagui_showhelp (HELP_FILE&helpfile);
EXPORT const char *diagui_getval (char prefix, int nof);
EXPORT const char *diagui_getval (char prefix, const char *str);
/* dialist.cc 26/10/98 20.30.54 */
/* dialog.cc 20/12/98 16.57.26 */
void dialog_required (void);
EXPORT void dialog_clear (void);
void dialog_clearinit (void);
EXPORT void dialog_consout (const char *ctl, ...);
/* fcombo.cc 29/11/98 00.18.00 */
/* fcombom.cc 30/04/98 16.42.36 */
/* field.cc 23/12/98 11.17.18 */
/* fldnum.cc 29/11/98 00.25.44 */
/* fstrhelp.cc 05/11/96 15.07.42 */
/* ftitle.cc 31/08/98 21.39.56 */
void ftitle_clist (int nof,
	 const char *tag,
	 const char *buf,
	 bool is_title);
/* html.cc 15/09/98 00.06.36 */
EXPORT int html_gethandle (void);
EXPORT const char *html_getval (const char *key);
const char *html_getoldval (const char *key);
void html_stresc (char *dst, const char *src, int size);
void html_defvar (const char *type,
	 const char *name,
	 const char *value,
	 const char *opt);
void html_defselect (const char *name);
void html_defvar (const char *type,
	 const char *name,
	 int value,
	 const char *opt);
void html_defvarcur (const char *name, const char *value);
void html_defvarcur (const char *name, int value);
EXPORT int html_printf (const char *ctl, ...);
void html_flush (void);
void html_sethost (const char *_hostname, int _port);
void html_setaref (const char *key, const char *text);
void html_formatkey (char *key, const char *ctl, ...);
void html_sendintro (const char *content_type,
	 int length,
	 int expires,
	 bool nocache);
void html_setdone (void);
const char *html_getcutinfo (void);
void html_setcutinfo (const char *s);
void html_ivldurl (void);
void html_needpasswd (void);
const char *html_getbodyparm (void);
void html_setbodyparm (const char *parm);
void html_forgetdialog (DIALOG *);
void html_adddialog (DIALOG *);
void html_registerpath (const char *basepath);
int html_locatefile (const char *fname,
	 const char *extension,
	 char *path,
	 int maxlen);
void html_setpopup (void);
void html_resetpopup (void);
const char *http_getbody (void);
int html_get (int _debug,
	 HELP_FILE&intro,
	 int timeout,
	 char module_key[50],
	 int &remhandle);
int html_getourname (char *name);
/* inputbox.cc 10/01/99 01.07.36 */
EXPORT MENU_STATUS dialog_inputbox (const char *title,
	 const char *intro,
	 HELP_FILE&helpfile,
	 char inpstr[MAX_LEN+1]);
EXPORT MENU_STATUS dialog_inputbox (const char *title,
	 const char *intro,
	 HELP_FILE&helpfile,
	 SSTRING&inpstr);
EXPORT MENU_STATUS dialog_inputpass (const char *title,
	 const char *prompt,
	 HELP_FILE&helpfile,
	 char inpstr[MAX_LEN+1]);
/* internal.cc 25/08/97 22.28.58 */
/* isocnv.cc 06/09/97 05.00.14 */
/* kbd.cc 04/02/98 14.29.16 */
void dialog_settimeout (int nbsec, MENU_STATUS retcod, bool rearm);
void dialog_starttimeout (void);
int dialog_getcurtimeout (void);
int dialog_wgetch (WINDOW *w, MENU_STATUS&timeout_button);
/* main.cc 26/09/96 13.29.46 */
/* menubox.cc 20/12/98 14.38.40 */
int menubox_getwidths (const char *pt, int tb[]);
void menubox_drawcols (const char *pt,
	 int tbcol[],
	 int max_width,
	 WINDOW *win);
void menubox_setnogfx (void);
EXPORT void menubox_setcollect (void (*f)(const char *, const char *));
MENU_STATUS dialog_menu (const char *title,
	 const char *prompt,
	 HELP_FILE&helpfile,
	 int options,
	 int item_no,
	 char **items,
	 int &sel);
/* msgbox.cc 26/09/96 13.31.50 */
int dialog_msgbox (const char *title,
	 const char *prompt,
	 const char *icon);
/* multi.cc 20/12/98 17.10.06 */
int dialog_textsize (const char *txt, int *width);
WINDOW *dialog_openwin (int height, int width);
void dialog_draw (WINDOW *dialog,
	 const char *title,
	 const char *internal_title,
	 const char *intro,
	 int height,
	 int width);
EXPORT DIALOG_MODE dialog_setmode (DIALOG_MODE mode);
void dialog_endlevel (void);
EXPORT void dialog_jumpto (const char *menupath);
/* pass.cc 29/11/98 00.23.22 */
void pass_required (void);
/* radio.cc 20/09/98 22.10.44 */
/* rc.cc 01/08/96 00.00.04 */
void create_rc (char *filename);
int parse_rc (void);
/* sheet.cc 29/11/98 00.23.22 */
void sheet_required (void);
/* term.cc 01/03/98 23.37.40 */
/* textbox.cc 14/12/98 11.32.44 */
void textbox_expandtab (const char *src, char *dst, int maxsiz);
EXPORT MENU_STATUS dialog_textbox (const char *title, const char *file);
EXPORT MENU_STATUS dialog_textbox (const char *title,
	 const char *intro,
	 HELP_FILE&help,
	 const SSTRINGS&strs);
EXPORT MENU_STATUS dialog_textbox (const char *title,
	 const SSTRINGS&strs);
/* uithread.cc 16/11/98 21.21.58 */
void uithread_sync (int (*editfct)());
void uithread_init (int nbtr);
void uithread_setmodal (void);
EXPORT int uithread (void (*fct)(void *), void *data);
EXPORT int uithread (void (*fct)());
/* varval.cc 17/09/96 10.06.04 */
HTML_VARVAL *varval_get (int id);
/* yesno.cc 05/01/98 23.56.36 */
EXPORT MENU_STATUS dialog_yesno (const char *title,
	 const char *prompt,
	 HELP_FILE&helpfile);
