#include "diawxxt.h"


PUBLIC void BOOK::fitstrategie(int left, int top, bool use_cur_dim)
{
	int n = nbc;
	int bkwidth = 0;
	int bkheight = 0;
	int padswidth = 0;
	int tbw[nbc],tbh[nbc];

	dc->SetFont (font_normal);

	for (int i=0; i<n; i++){
		MFORM_C *item = tbc[i];
		int pagew,pageh;
		if (use_cur_dim){
			item->c->GetSize(&pagew,&pageh);
		}else{
			if (item->pref_width == -1){
				item->c->GetSize(&item->pref_width
					,&item->pref_height);
			}
			pagew = item->pref_width;
			pageh = item->pref_height;
		}
		if (pagew > bkwidth) bkwidth = pagew;
		if (pageh > bkheight) bkheight = pageh;
		tbw[i] = pagew;
		tbh[i] = pageh;
		int padwidth;
		{
			float fw,fh;
			dc->GetTextExtent (pads[i]->title,&fw,&fh);
			padwidth = (int)(fw + 2 * GetCharWidth());
		}
		pads[i]->start = padswidth;
		pads[i]->below = false;
		padswidth += padwidth;
		pads[i]->stop = padswidth;
	}
	int bottom_pads = 0;
	if (padswidth > bkwidth){
		for (int i=0; i<n; i++){
			if (pads[i]->stop > bkwidth){
				// Move those pads to the bottom
				bottom_pads = 20;
				int off = pads[i]->start;
				for (; i<n; i++){
					pads[i]->below = true;
					pads[i]->start -= off;
					pads[i]->stop  -= off;
				}
				break;
			}
		}
	}
	bkwidth += left;
	bkheight += top + 20;
	b_offsety = bkheight;
	bkheight += bottom_pads;
	offsetx = left;
	offsety = top + 20;
	for (int i=0; i<n; i++){
		MFORM_C *item = tbc[i];
		wxWindow *c = item->c;
		c->SetSize (offsetx,offsety,tbw[i],tbh[i]);
		if (i==nopage){
			c->Show(TRUE);
		}else{
			c->Show(FALSE);
		}
	}
	SetClientSize (bkwidth+3,bkheight+3);
}

PUBLIC void BOOK::dolayout()
{
	fitstrategie (3,0,true);
}


