#include <string.h>
#include <stdlib.h>
#include "redhat.h"
#include <popen.h>
#include <misc.h>
#include <netconf.h>

int sysv_getserv(SERVICES &tb)
{
	int ret = -1;
	POPEN pop ("chkconfig","--list");
	if (pop.isok()){
		ret = 0;
		while (pop.wait(10)!=-1){
			char buf[1000];
			while (pop.readout(buf,sizeof(buf)-1)!=-1){
				strip_end (buf);
				if (buf[0] != '\0'){
					ret++;
					char name[100];
					int state = 2;
					const char *pt = str_copyword(name,buf,sizeof(name)-1);
					while (1){
						char word[100];
						pt = str_copyword (word,pt,sizeof(word)-1);
						if (word[0] == '\0') break;
						int level = atoi(word);
						if (level != 2 && strstr(word,":on")!=NULL){
							state = 0;
							break;
						}
					}
					tb.add (new SERVICE (name,"",state,OWNER_DISTRIB));
				}
			}
		}
	}
	return ret;
}
int sysv_setserv(SERVICES &tb)
{
	int ret = 0;
	for (int i=0; i<tb.getnb(); i++){
		SERVICE *s = tb.getitem(i);
		if (s->owner == OWNER_DISTRIB
			&& s->state != s->previous){
			char tmp[100];
			sprintf (tmp,"%s %s",s->name.get(),s->state ? "off" : "on");
			ret |= netconf_system_if ("chkconfig",tmp);
		}
	}
	return ret;
}


