/* _dict.cc 14/08/96 16.18.06 */
/* bootp.cc 25/04/98 11.04.40 */
int bootp_probe (INTER_INFO&itf);
int dhcp_probe (INTER_INFO&itf);
/* bootrc.cc 04/11/98 21.32.38 */
int bootrc_do (const char *dirpath, const char *prevpath, bool booting);
/* calcmask.cc 26/07/97 14.08.38 */
/* command.cc 30/04/98 21.50.10 */
/* daemon.cc 01/09/98 15.00.28 */
int file_empty (const char *fpath);
void daemon_setsession (char mode);
int daemon_wasconfig (void);
int netconf_system (int timeout,
	 const char *cmd,
	 int *grabin,
	 int *grabout,
	 int *graberr);
void netconf_readpipe (int msglevel,
	 int fd,
	 const char *name,
	 bool&title_done);
EXPORT int netconf_system (int timeout, const char *cmd);
void netconf_getlastmsgs (void);
/* daemon1.cc 07/10/98 01.14.44 */
void daemon_register (DAEMON_INTERNAL *dae,
	 const char *name,
	 const char *buf);
void daemon_register (const char *name, const char *buf);
EXPORT DAEMON_INTERNAL *daemon_find (const char *name);
const char *daemon_findpath (const char *command);
void daemon_config (void);
int daemon_configone (const char *name);
/* daemoni.cc 23/10/98 00.28.48 */
EXPORT int netconf_system_if (const char *name, const char *args);
/* daemons.cc 25/04/98 11.06.10 */
DAEMON_INTERNAL *daemon_new (int managed,
	 const char *name,
	 const char *buf,
	 DAEMON_INTERNAL *next);
/* datetime.cc 03/08/98 11.13.36 */
int datetime_getfromnet (void);
int datetime_getfromcmos (void);
int datetime_edit (void);
void datetime_setmode (const char *mode);
/* devices.cc 23/12/98 21.29.20 */
int netconf_setloopback (void);
void device_setstdnetmask (const char *hostip, char *def_msk);
int device_insmod (const char *devname);
int netconf_setdevices (const char *dev);
int netconf_finddevfromnet (const char *network,
	 const char *netmask,
	 char *dev);
int netconf_finddevfromhost (const char *hostip, char *dev);
int netconf_convert (const char *str, char ip[], char msk[]);
/* devlist.cc 10/02/98 10.47.38 */
int devlist_read (SSTRINGS&list);
int devlist_devexist (const char *devname);
void devlist_setcombo (FIELD_COMBO *comb);
/* dnsping.cc 25/04/98 11.18.56 */
int dns_ping (void);
long dns_getserial (const char *domain,
	 const char *server,
	 int timeout);
/* dropin.cc 20/12/98 14.28.38 */
int dropin_activate (int netlevel, const char *last_pkg, BOOTRCS&rcs);
int dropin_deactivate (int netlevel);
int dropin_doboot (void);
int dropin_editlocal (void);
int dropin_editorig (void);
void dropin_activate_new (void);
void dropin_reenable (void);
int dropin_getservtb (SERVICES&tb);
int dropin_setservtb (SERVICES&tb);
int dropin_savestate (void);
void dropin_addbootequiv (BOOTRCS&rcs);
void dropin_module_load (void);
/* exports.cc 20/12/98 14.29.04 */
void exports_edit (void);
/* groutes.cc 20/12/98 14.27.14 */
void groutes_sethook (int (*_fct_load)(ROUTES&rt),
	 int (*_fct_save)(SSTRING&defroute, ROUTES&rt));
void groutes_setrouting (void);
void netconf_editroutes (void);
void groutes_setgateway (const char *ip, bool verbose);
/* helpf.cc 10/02/98 10.50.16 */
/* host.cc 09/05/98 06.55.28 */
char *menu_setupopt (char *dst, const char *menu, const char *curval);
void host_setmasklist (FIELD_COMBO *comb);
void netconf_saveinfo (INTER_INFO&itf,
	 HOSTS&hosts,
	 NETWORKS&networks,
	 const char *forcealias,
	 const char *netname,
	 const char *mskname,
	 const char *bcastname);
int netconf_saveinfos (HOSTS&hosts,
	 NETWORKS&networks,
	 HOSTINFO&info);
void netconf_edithost (void);
/* hostinfo.cc 09/05/98 13.55.28 */
void hostinfo_setnames (DEVICE_NAME_INFO&nm, int nodev);
void hostinfo_sethook (int (*fload)(HOSTS&, HOSTINFO&),
	 int (*fsave)(HOSTS&, HOSTINFO&));
void hostinfo_saveinfo (INTER_INFO&itf, int nodev);
int netconf_loadinfos (HOSTS&hosts,
	 NETWORKS&networks,
	 HOSTINFO&info);
int netconf_loadinfos (HOSTINFO&info);
bool hostinfo_saveindist (HOSTS&hosts, HOSTINFO&info);
void hostinfo_savehostname (HOSTINFO&info);
void hostinfo_savefeatures (HOSTINFO&info, int nodev);
void host_setdevdef (int nodev,
	 const char *name,
	 const char *ip,
	 const char *netmask,
	 const char *device);
/* hosts.cc 20/12/98 14.29.24 */
void *operator new (size_t size);
char *replaceif (char *last, const char *newval);
int host_lookupother (const char *others, const char *name);
void netconf_edithosts (void);
void netconf_editnet (void);
/* html_access.cc 20/12/98 14.30.02 */
void html_access_edit (void);
int html_access_check (int fd);
void html_access_log (int fd, const char *msg);
/* ifconfig.cc 28/10/98 23.43.28 */
int ifconfig_getinfo_nocheck (const char *ifname, IFCONFIG_INFO&info);
int ifconfig_getinfo (const char *ifname, IFCONFIG_INFO&info);
/* internal.cc 03/10/95 01.09.14 */
/* ipalias.cc 15/11/98 12.45.28 */
void ipalias_sethook (int (*fct_load)(const char *devname, SSTRINGS&, SSTRINGS
	&),
	 int (*fct_save)(const char *devname, const SSTRINGS&, const SSTRINGS&
	));
int ipalias_setup (const char *devname);
int ipalias_setup (void);
void alias_edit (void);
/* ipx.cc 05/07/98 03.45.28 */
void ipx_saveinter (IPX_INTER_INFO&itf, int nodev);
void ipx_loadinter (IPX_INTER_INFO&itf, int nodev);
void ipx_edit (void);
int ipx_set (const char *dev);
/* level.cc 10/02/98 11.08.26 */
void netconf_setnetlevel (int level);
int netconf_getnetlevel (void);
/* net.cc 27/08/98 01.07.24 */
int net_isipnum (const char *str);
int net_setshowmode (int mode);
void net_resetnberr (void);
int net_getnberr (void);
int net_getlogmask (void);
int net_setlogmask (int mask);
EXPORT void net_hint (const char *var, const char *value, ...);
void net_enableprinthint (bool mode);
bool net_washints (void);
void net_printhint (const char *str, ...);
void net_prtlog (const char *ctl, ...);
EXPORT void net_prtlog (int level, const char *ctl, ...);
void net_introlog (int msg);
void net_title (const char *msg);
void net_section (const char *msg);
void net_showlog (void);
/* netconf.cc 06/01/99 21.41.40 */
void netconf_update (int msg);
void netconf_update (void);
void netconf_status (void);
void netconf_edit (void);
EXPORT int netconf_checkupdate (bool showdontquit);
const char *netconf_getusage (void);
void netconf_editrunlevel (void);
EXPORT bool netconf_mainaccess (void);
EXPORT bool netconf_rootaccess (const char *msg);
EXPORT bool netconf_rootaccess (void);
int netconf_main (int argc, char *argv[]);
/* networks.cc 15/06/98 18.55.30 */
/* nis.cc 10/02/98 11.22.54 */
void netconf_editnis (void);
int netconf_domainname (int argc, char *argv[]);
/* process.cc 10/02/98 11.24.12 */
void process_flushcache (void);
int process_read (void);
PROC *process_find (const char *path, const CONFIG_FILE *pidfile);
int process_findchild (int pid);
long process_isactive (const char *path);
/* resolv.cc 11/09/98 15.58.54 */
void dnsconf_editresolv (void);
int resolv_updateconf (const char *domain,
	 SSTRING servers[3],
	 SSTRINGS&search,
	 bool verbose);
int dnsconf_isrslconf (void);
void dnsconf_editorder (void);
void resolv_getdomain (char *domain);
/* routed.cc 02/05/98 23.22.34 */
void routed_edit (void);
/* routes.cc 02/05/98 23.30.30 */
int route_install (const char *routedev);
int route_isactive (const char *dest, char *gateway);
/* routes1.cc 03/05/98 01.25.48 */
/* simple.cc 10/02/98 11.32.42 */
void simple_install (void);
/* simul.cc 27/08/98 16.14.42 */
void simul_init (void);
void simul_init (FILE *f);
void simul_setdemoflag (int on);
void simul_sethintflag (int on);
void simul_setdisable (bool mode);
EXPORT int simul_isdemo (void);
EXPORT int simul_ishint (void);
bool simul_isdisabled (void);
EXPORT int simul_ison (void);
void simul_addmsg (const char *ctl, ...);
int simul_prompt (bool showdontquit);
/* start.cc 22/11/98 17.18.50 */
int netconf_startstop (const char *name, const char *service, int &go);
void netconf_setservhook (int (*_fct_serv_get)(SERVICES&tb),
	 int (*_fct_serv_set)(SERVICES&tb));
int start_getservtb (SERVICES&tb);
void netconf_s00linuxconf (void);
void netconf_s99linuxconf (int level);
void netconf_runlevel (int level, BOOTRCS&rcs, bool booting);
void netconf_runlevel (int level);
void service_control (void);
int netconf_hint (int argc, char *argv[]);
/* thishost.cc 04/04/98 00.19.30 */
/* thishost1.cc 06/05/98 14.17.28 */
bool netconf_netok (char *status, char hostname[200]);
bool netconf_netok (char *status);
int netconf_sethostname (void);
int netconf_hostname (int argc, char *argv[]);
int netconf_dnsdomainname (int argc, char *[]);
