#pragma interface
#ifndef DIAJAVA_H
#define DIAJAVA_H

#include <stdio.h>
#ifndef POPEN_H
	#include <popen.h>
#endif

class ITEM_VAL: public ARRAY_OBJ{
public:
	SSTRING id;
	SSTRING val;
	/*~PROTOBEG~ ITEM_VAL */
public:
	ITEM_VAL (const char *id, const char *val);
	/*~PROTOEND~ ITEM_VAL */
};

class ITEM_VALS: public ARRAY{
	/*~PROTOBEG~ ITEM_VALS */
public:
	ITEM_VAL *getitem (int no);
	const char *getval (const char *id);
	/*~PROTOEND~ ITEM_VALS */
};

class DIAJAVA{
	POPENFD *pop;
	ITEM_VALS vals;
	/*~PROTOBEG~ DIAJAVA */
public:
	DIAJAVA (bool guiok);
	DIAJAVA (int handlein,
		 int handleout,
		 const char *lines);
	const char *getval (const char *id);
	int is_ok (void);
	void send (const char *ctl, ...);
	void sendcmd (int cmd, const char *ctl, ...);
	void wait (char dianame[200],
		 char actionid[100],
		 int &menu,
		 int &but);
	~DIAJAVA (void);
	/*~PROTOEND~ DIAJAVA */
};

extern bool diajava_treemenu;


#endif

