/* internal.cc 05/01/98 22.50.08 */
PUBLIC M_DIALOG_INTERNAL::M_DIALOG_INTERNAL (void);
PUBLIC M_DIALOG_INTERNAL::~M_DIALOG_INTERNAL (void);
/* modapi.cc 20/12/98 17.03.36 */
PUBLIC M_FIELD_COMBO::M_FIELD_COMBO (FIELD_COMBO *_real,
	 M_FIELD_COMBO *first);
PUBLIC void M_FIELD_COMBO::addopt (const char *str);
PUBLIC void M_FIELD_COMBO::addopt (const char *value,
	 const char *verbose);
PUBLIC M_FIELD_LIST::M_FIELD_LIST (FIELD_LIST *_real,
	 M_FIELD_LIST *first);
PUBLIC void M_FIELD_LIST::addopt (const char *str);
PUBLIC void M_FIELD_LIST::addopt (const char *value,
	 const char *verbose);
PUBLIC M_FIELD_COMBO_MANY::M_FIELD_COMBO_MANY (FIELD_COMBO_MANY *_real,
	 M_FIELD_COMBO_MANY *first);
PUBLIC M_FIELD_ENUM::M_FIELD_ENUM (FIELD_ENUM *_real,
	 M_FIELD_ENUM *first);
PUBLIC void M_FIELD_ENUM::addopt (const char *str);
PUBLIC void M_FIELD_ENUM::addopt (const char *value,
	 const char *verbose);
PUBLIC void M_DIALOG::newf_chk (const char *prompt,
	 char &var,
	 const char *title);
PUBLIC void M_DIALOG::newf_chkm (const char *prompt,
	 char &var,
	 const char *title[]);
PUBLIC void M_DIALOG::newf_chkm_col (const char *prompt,
	 char &var,
	 const char *title[]);
PUBLIC void M_DIALOG::save (void);
PUBLIC void M_DIALOG::reload (void);
PUBLIC void M_DIALOG::restore (void);
PUBLIC void M_DIALOG::set_readonly (void);
PUBLIC void M_DIALOG::set_lastreadonly (void);
PUBLIC void M_DIALOG::last_noempty (void);
PUBLIC int M_DIALOG::was_modified (void);
PUBLIC void M_DIALOG::seticon (const char *_icon);
PUBLIC void M_DIALOG::setbutinfo (int id,
	 const char *title,
	 const char *icon);
PUBLIC void M_DIALOG::html_body (const char *ctl, ...);
PUBLIC void M_DIALOG::html_intro (const char *ctl, ...);
PUBLIC void M_DIALOG::html_top (const char *ctl, ...);
PUBLIC void M_DIALOG::html_end (const char *ctl, ...);
PUBLIC void M_DIALOG::set_alt_title (const char *_title);
PUBLIC void M_DIALOG::setsidetitle (const char *ctl, ...);
PUBLIC M_FIELD_COMBO *M_DIALOG::newf_combo (const char *prompt,
	 SSTRING&str);
PUBLIC M_FIELD_LIST *M_DIALOG::newf_list (const char *prompt,
	 SSTRING&str);
PUBLIC M_FIELD_ENUM *M_DIALOG::newf_enum (const char *prompt,
	 int &sel);
PUBLIC M_FIELD_COMBO_MANY *M_DIALOG::newf_combo_many (const char *prompt,
	 SSTRING&str);
PUBLIC void M_DIALOG::newf_str (const char *prompt,
	 char *str,
	 int maxsiz);
PUBLIC void M_DIALOG::newf_str (const char *prompt, SSTRING&str);
PUBLIC void M_DIALOG::newf_pass (const char *prompt, SSTRING&str);
PUBLIC void M_DIALOG::newf_num (const char *prompt, int &val);
PUBLIC void M_DIALOG::newf_hexnum (const char *prompt, int &val);
PUBLIC void M_DIALOG::newf_octnum (const char *prompt, int &val);
PUBLIC void M_DIALOG::newf_dbl (const char *prompt,
	 double &val,
	 int nbdecimals);
PUBLIC void M_DIALOG::newf_title (const char *pad,
	 int level,
	 const char *prompt,
	 const char *msg);
PUBLIC void M_DIALOG::newf_title (const char *prompt, const char *msg);
PUBLIC void M_DIALOG::newf_head (const char *prompt, const char *msg);
PUBLIC void M_DIALOG::new_menuline (const char *icon,
	 const char *prompt1,
	 const char *prompt2,
	 bool may_select);
PUBLIC void M_DIALOG::new_menuitem (const char *prompt1,
	 const char *prompt2);
PUBLIC void M_DIALOG::new_menuitem (const char *icon,
	 const char *prompt1,
	 const char *prompt2);
PUBLIC void M_DIALOG::new_menuinfo (const char *prompt1,
	 const char *prompt2);
PUBLIC void M_DIALOG::new_menuitem (const char *prompt1,
	 const SSTRING&prompt2);
PUBLIC void M_DIALOG::new_menuitem (const SSTRING&prompt1,
	 const SSTRING&prompt2);
PUBLIC void M_DIALOG::new_menuitems (const char *items[],
	 int item_no);
PUBLIC void M_DIALOG::new_menuitems (const char *opt[]);
PUBLIC const char *M_DIALOG::getmenustr (int choice);
PUBLIC void M_DIALOG::savewhat (const char *help);
PUBLIC void M_DIALOG::delwhat (const char *help);
PUBLIC void M_DIALOG::inswhat (const char *help);
PUBLIC void M_DIALOG::addwhat (const char *help);
PUBLIC void M_DIALOG::setheight_hint (void);
PUBLIC MENU_STATUS M_DIALOG::editmenu (const char *title,
	 const char *prompt,
	 HELP_FILE&helpfile,
	 int &sel,
	 int options);
PUBLIC M_DIALOG::M_DIALOG (void);
PUBLIC M_DIALOG::M_DIALOG (DIALOG *_real);
PUBLIC M_DIALOG::~M_DIALOG (void);
PUBLIC MENU_STATUS M_DIALOG::edit (const char *_title,
	 const char *_intro,
	 HELP_FILE&helpfile,
	 int &nof,
	 int but_options);
PUBLIC MENU_STATUS M_DIALOG::edit (const char *_title,
	 const char *_intro,
	 HELP_FILE&helpfile);
PUBLIC MENU_STATUS M_DIALOG::edit (const char *_title,
	 const char *_intro,
	 HELP_FILE&helpfile,
	 int &nof);
PUBLIC void M_DIALOG::newf_radio (const char *prompt,
	 char &var,
	 char instance_val,
	 const char *title);
PUBLIC void M_DIALOG::newf_text (const char *prompt,
	 const char *buftab);
PUBLIC void M_DIALOG::remove_all (void);
PUBLIC int M_DIALOG::getnb (void);
PROTECTED M_DIALOG::M_DIALOG (int);
PUBLIC void M_DIALOG_MENU::setmenu (MENU_CONTEXT ctx);
PUBLIC M_DIALOG_RECORDS::M_DIALOG_RECORDS (void);
PROTECTED M_DIALOG_RECORDS::M_DIALOG_RECORDS (int);
PUBLIC MENU_STATUS M_DIALOG_RECORDS::editmenu (const char *title,
	 const char *prompt,
	 HELP_FILE&helpfile,
	 int &sel,
	 int options);
PUBLIC M_DIALOG_LISTE::M_DIALOG_LISTE (void);
PUBLIC MENU_STATUS M_DIALOG_LISTE::editmenu (const char *title,
	 const char *prompt,
	 HELP_FILE&helpfile,
	 int &sel,
	 int options);
PUBLIC MENU_STATUS M_DIALOG_MENU::editmenu (const char *title,
	 const char *prompt,
	 HELP_FILE&helpfile,
	 int &sel,
	 int options);
PUBLIC M_DIALOG_MENU::M_DIALOG_MENU (void);
PUBLIC void M_DIALOG::gui_passthrough (int command, const char *args);
PUBLIC void M_DIALOG::newline (void);
PUBLIC void M_DIALOG::newf_info (const char *prompt, const char *str);
PUBLIC void M_DIALOG::newf_sheet (const char *prompt,
	 const char *titles[],
	 SSTRINGS&tb);
